%define aurox_ver 10.1
%define rel 4




#%{!?_dist: %{expand: %%define dist rhfc2}}

Summary:	Fluxbox is a windowmanager that is based on Blackbox.
Name:		fluxbox
Version:	0.9.10
Release:	%{aurox_ver}.aur.%{rel}
Group:		User Interface/Desktops
License:	MIT
URL: 		http://fluxbox.sourceforge.net
Source0: 	http://download.sourceforge.net/fluxbox/%{name}-%{version}.tar.bz2
Source1: 	Xclients.%{name}
Source2: 	FluxBox
Source3: 	%{name}.desktop
Source4: 	artwiz-aleczapka.tar.bz2
Source5:	fedora-%{name}-gen_menu
#Patch0:	%{name}-0.9.9.startfluxbox-UTF-8.patch
Patch1:		%{name}-newrpms-rhnapplet.patch
Patch2:		fluxbox-default-style.patch
Requires:	fontconfig chkfontpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1
code. Fluxbox looks like blackbox and handles styles, colors, window placement
and similar thing exactly like blackbox (100% theme/style compatibility).  So
what's the difference between fluxbox and blackbox then?  The answer is: LOTS!

Have a look at the homepage for more info ;)

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
#%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%configure      --bindir=/usr/X11R6/bin \
		--mandir=/usr/X11R6/man \
		--enable-slit           \
		--enable-xft            \
		--enable-gnome          \
		--enable-kde            \
		--enable-xinerama
		
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall     bindir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/bin \
                 mandir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/man

# we have this in switchdesk package
## make gdm users happy
#install -d $RPM_BUILD_ROOT/usr/share/apps/switchdesk/
#install -m 0755 %{SOURCE1}  $RPM_BUILD_ROOT/usr/share/apps/switchdesk/

install -d $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/gdm/Sessions/

install -d %{buildroot}%{_datadir}/xsessions
install -m 0755 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/

# artwiz fonts
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/
tar xjf %{SOURCE4} -C $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/

# new menu script doesn't work good, so let's add it just as an option
## new menu script stolen from arny.org ;) thanks!
#mv %{buildroot}%{_prefix}/X11R6/bin/fluxbox-generate_menu %{buildroot}%{_prefix}/X11R6/bin/fluxbox-generate_menu-original

install -m 755 %{SOURCE5} %{buildroot}%{_prefix}/X11R6/bin/fluxbox-generate_menu-arny

%post
# New menu-system
%{_prefix}/X11R6/bin/fluxbox-generate_menu \
	-o %{_datadir}/fluxbox/menu        \
	-m Fluxbox-0.9.10 2>&1 > /dev/null \
	-b htmlview 2>&1 > /dev/null       \


#artwiz fontz
cd %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka
fc-cache -f ./
%{_sbindir}/chkfontpath -q -a %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka:unscaled

tmp=`fgrep "<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>" %{_sysconfdir}/fonts/local.conf`
if [ -z "$tmp" ];
	then sed -i "s,</fontconfig>,<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>\n</fontconfig>," %{_sysconfdir}/fonts/local.conf 
fi

%postun
if [ "$1" -eq "0" ]; then # complete removal, not upgrade
	%{_sbindir}/chkfontpath -q -r %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka;
	sed -i "\%<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>%d" %{_sysconfdir}/fonts/local.conf
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*
%{_datadir}/%{name}/*
#%{_datadir}/apps/switchdesk/Xclients.fluxbox
%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka
%{_sysconfdir}/X11/gdm/Sessions/FluxBox
%{_datadir}/xsessions/%{name}.desktop

%changelog
* Mon Nov 08 2004 Aurox Team <aurox@aurox.org> 0:0.9.10-10.1.aur.4
- change default style to Flux
- remove switchdesk entry (it conflicts with switchdesk package)
- use original generate-menu script
- initial build with 0.9.10
- rebuild for Aurox 10.1
- {Build,}Requires xorg-x11{-devel,} rather than XFree86

* Sat Jan 11 2003 Che
- rebuild without debug
* Mon Dec 09 2002 Che
- new version 0.1.14
* Tue Nov 19 2002 Che
- new version 0.1.13
* Tue Oct 30 2002 Che
- fixed gdm entry
* Tue Oct 23 2002 Che
- added a gdm entry :)
* Tue Oct 22 2002 Che
- initial rpm release

